Bug 231165 - graphics/freeimage: Upgrade to 3.18.0
Summary: graphics/freeimage: Upgrade to 3.18.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Steve Wills
URL: http://freeimage.sourceforge.net/news...
Keywords:
Depends on:
Blocks:
 
Reported: 2018-09-04 21:16 UTC by Nathan
Modified: 2018-09-06 19:40 UTC (History)
1 user (show)

See Also:


Attachments
Update; fix lld issue on i386 (16.68 KB, patch)
2018-09-04 21:16 UTC, Nathan
ndowens04: maintainer-approval+
Details | Diff
Update; update mips error; override cflags (17.22 KB, patch)
2018-09-05 05:05 UTC, Nathan
no flags Details | Diff
Update; Prepare for LLD; update reason for mips failure (19.43 KB, patch)
2018-09-05 23:10 UTC, Nathan
ndowens04: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Nathan 2018-09-04 21:16:14 UTC
Created attachment 196875 [details]
Update; fix lld issue on i386

graphics/freeimage:
                
* Update to 3.18.0
* Add licenses and files
* Add fPIC to CFLAGS to fix (lld)linker issues on i386


portlint -AC: Looks fine
poudriere(amd64/i386): 11.2 12: Built fine
poudriere(armv6/arm64): 11.2 : Built fine
Comment 1 Nathan 2018-09-04 21:17:43 UTC
Used LDFLAGS= -fuse-ld=ldd to test lld on i386
Comment 2 Ed Maste freebsd_committer 2018-09-04 21:22:04 UTC
(In reply to Nathan from comment #1)
Great, thanks!
Comment 3 Nathan 2018-09-04 21:23:40 UTC
(In reply to Ed Maste from comment #2)

From what I could tell it works fine; mips error should have been changed, i believe the error is now interger or so is too long to be long type; I dont have a mips64 jail so couldn't test it
Comment 4 Nathan 2018-09-04 21:27:06 UTC
(In reply to Nathan from comment #3)
Gonna retest it and may update patch to include update on error; So far it is building. Though if someone could test on mips64 and see if it builds now, that'd be great
Comment 5 Nathan 2018-09-04 22:10:37 UTC
(In reply to Nathan from comment #4)
Update: Got the long error fixed; got a new error to deal with; almost have it, so in hopes we can umark it broken, atleast on mips
Comment 6 Nathan 2018-09-05 04:13:51 UTC
@swills Don't commit it yet, I am trying to get mips to work; though I may not. If I don't and don't think I can get it to work; I will post that I've done all I can and it's ready
Comment 7 Nathan 2018-09-05 05:05:19 UTC
Created attachment 196877 [details]
Update; update mips error; override cflags

Did this one to update mips error and also override cflags as it was compiling, from what it appears, with two -fPICS going
Comment 8 Nathan 2018-09-05 05:05:57 UTC
@swills ok I'm done with mips; I tried; Let you guys try the patches and see if you are fine with the changes
Comment 9 Nathan 2018-09-05 23:10:14 UTC
Created attachment 196903 [details]
Update; Prepare for LLD; update reason for mips failure
Comment 10 commit-hook freebsd_committer 2018-09-06 19:40:35 UTC
A commit references this bug:

Author: swills
Date: Thu Sep  6 19:39:46 UTC 2018
New revision: 479150
URL: https://svnweb.freebsd.org/changeset/ports/479150

Log:
  graphics/freeimage: Upgrade to 3.18.0

  PR:		231165
  Submitted by:	Nathan <ndowens@yahoo.com>

Changes:
  head/graphics/freeimage/Makefile
  head/graphics/freeimage/distinfo
  head/graphics/freeimage/files/patch-Source-FreeImage-PluginXPM.cpp
  head/graphics/freeimage/files/patch-Source-OpenEXR-IlmImf_ImfAutoArray.h
  head/graphics/freeimage/files/patch-Source_FreeImage_PluginPSD.cpp
  head/graphics/freeimage/files/patch-Source_LibRawLite_internal_dcraw__common.cpp
  head/graphics/freeimage/files/patch-Source_OpenEXR_IlmImf_ImfFastHuf.cpp
  head/graphics/freeimage/files/patch-integer_overflow
  head/graphics/freeimage/files/patch-integer_overflow_ljpeg_start
Comment 11 Steve Wills freebsd_committer 2018-09-06 19:40:53 UTC
Committed, thanks!